MKTUNES(23)

NAME
mktunes.pl - manual page for mktunes.pl 1.00

SYNOPSIS
mktunes.pl [OPTION]...

DESCRIPTION
Convert GNUtunesDB.xml into iTunesDB format

--help
    display this help and exit

--version
    output version information and exit

-m, --mount=DIRECTORY
    iPod mountpoint. Default is $IPOD_MOUNTPOINT

-n, --ipod-name=NAME
    iPod Name (For unlabeled iPods). iTunes displays this name, not the label.

-v, --volume=VALUE
    Adjust volume +-VALUE% (example: --volume +5)

-e, --energy
    Save energy (= Disable scrolling title)

-g, --fwguid=HEXVAL
    Enforce iPod serial/firewire-guid. Late 2007 iPod models (3gen Nano, Classic, Touch) refuse to work unless the iTunesDB has been signed with a sha1 hash. This hash helps to detect corrupted databases, prevents sharing an iTunesDB between multiple iPods and locks out non-apple software. GNUpod is able to create the required hash value if it knows the iPods serial number, this is a 16 chars long hex value such as: '000ba3100310abcf' and should be autodetected on GNU/Linux (via /proc/bus/usb/devices) and Solaris (via prtconf -v). Use this switch to set the serial if the autodetection somehow fails to find the correct serial number of your iPod. You can also specify the value in your configuration file (gnupodrc) as 'mktunes.fwguid = 000ba3100310abcf'.

AUTHOR
Written by Adrian Ulrich

REPORTING BUGS
Report bugs to <bug-gnupod@nongnu.org>

COPYRIGHT
Copyright © Adrian Ulrich
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for gnupod is maintained as a Texinfo manual. If the info program and GNUpod are properly installed at your site, the command

    info gnupod

should give you access to the complete manual.